/*
 * uartio.h
 *
 *  Created on: Jan 21, 2022
 *      Author: radioman
 */

#ifndef INC_UARTIO_H_
#define INC_UARTIO_H_

#define UART_RX_BUF_SIZE 256
#define UART_TX_BUF_SIZE 256

void UARTIO_Init(UART_HandleTypeDef *huart);
uint32_t UARTIO_DataAvailable(void);
int UARTIO_Receive(uint8_t *buf, uint32_t len);
int UARTIO_Transmit(uint8_t *buf, uint32_t len);

#endif /* INC_UARTIO_H_ */
